# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-10-24 16:13
from __future__ import unicode_literals

from django.db import migrations, models


def add_questions(apps, schema_editor):
    current_database = schema_editor.connection.alias
    QuestionSubmodels = [
        apps.get_model('wizard_builder.SingleLineText'),
        apps.get_model('wizard_builder.TextArea'),
        apps.get_model('wizard_builder.RadioButton'),
        apps.get_model('wizard_builder.Checkbox'),
    ]
    for Model in QuestionSubmodels:
        for question in Model.objects.using(current_database):
            question_type = question._meta.model_name.lower()
            question.type = question_type
            question.save()


class Migration(migrations.Migration):

    dependencies = [
        ('wizard_builder', '0028_formquestion_type'),
    ]

    operations = [
        migrations.RunPython(
            add_questions,
            migrations.RunPython.noop,
        ),
    ]
